Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreAny.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreException.h"`
`#include "OgreString.h"`
`#include <algorithm>`
`#include <typeinfo>`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Functions
template<typename ValueType>
ValueType * | any_cast (Any *operand)
template<typename ValueType>
const ValueType * | any_cast (const Any *operand)
template<typename ValueType>
ValueType | any_cast (const Any &operand)

## Function Documentation

template<typename ValueType>
ValueType any_cast | ( | const Any & | operand | ) |

| Definition at line 386 of file OgreAny.h. References Ogre::Any::getType(), and OGRE_EXCEPT.

template<typename ValueType>
const ValueType* any_cast | ( | const Any * | operand | ) |

| Definition at line 380 of file OgreAny.h.

template<typename ValueType>
ValueType* any_cast | ( | Any * | operand | ) |

| Definition at line 372 of file OgreAny.h. References Ogre::Any::getType().

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007